From db450b0a9de864e147d9c881e30d629efadd4cf6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 05 2020 17:16:57 +0000
Subject: [PATCH 547/2232] Suppress some lints in cxx-build


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 5bee67f..cabe2b1 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -45,6 +45,13 @@
 //! $ cxxbridge src/main.rs > path/to/mybridge.cc
 //! ```
 
+#![allow(
+    clippy::inherent_to_string,
+    clippy::needless_doctest_main,
+    clippy::new_without_default,
+    clippy::toplevel_ref_arg
+)]
+
 mod error;
 mod gen;
 mod paths;

